GET /v3/multipart-uploads/{id}/status
1 min
GET
https://api.cmp.optimizely.com/v3/multipart-uploads/{id}/status
Path Parameters
- idstringrequiredExampleDescription
Responses
200
- object
- idstringrequiredExampleDescription
- keystringrequiredExampleDescription
- statusstring<UPLOAD_COMPLETION_NOT_STARTED | UPLOAD_COMPLETION_IN_PROGRESS | UPLOAD_COMPLETION_SUCCEEDED | UPLOAD_COMPLETION_FAILED>requiredExampleDescriptionAllowedUPLOAD_COMPLETION_NOT_STARTEDUPLOAD_COMPLETION_IN_PROGRESSUPLOAD_COMPLETION_SUCCEEDEDUPLOAD_COMPLETION_FAILED
- status_messagestringrequiredExampleDescription
- expires_atstring<date-time>requiredExampleDescriptionFormatdate-time
- linksobjectrequired
- selfstring<uri>requiredExampleDescriptionFormaturi
401
- ErrorExample
{ "message": "Unauthorized" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
403
- ErrorExample
{ "message": "You do not have the permission to perform this operation" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
404
- ErrorExample
{ "message": "Resource not found" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
curl
curl --request GET \
--url https://api.cmp.optimizely.com/v3/multipart-uploads/{id}/status \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.cmp.optimizely.com/v3/multipart-uploads/{id}/status", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.cmp.optimizely.com/v3/multipart-uploads/{id}/status")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.cmp.optimizely.com/v3/multipart-uploads/{id}/status"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successfully retrieved upload status
{
"id": "abcdef1234567890",
"key": "ce8995aea58b11ea8cd90242ac120005/abcdef1234567890",
"status": "UPLOAD_COMPLETION_IN_PROGRESS",
"status_message": "Some error message related to the status",
"expires_at": "2025-03-03T12:00:00Z",
"links": {
"self": "https://api.cmp.optimizely.com/v3/multipart-uploads/abcdef1234567890/status"
}
}401
// Authorization error
{
"message": "Not found",
"errors": ""
}403
// Permission error
{
"message": "Not found",
"errors": ""
}404
// Not found error
{
"message": "Not found",
"errors": ""
}